httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Issac Goldstand <mar...@beamartyr.net>
Subject Re: Rusty perl question
Date Mon, 13 Nov 2006 09:13:37 GMT


Steve Hay wrote:
> Issac Goldstand wrote:
>> Is this what you mean?
>>
>>  use constant MP_GEN => $ENV{MOD_PERL}
>>      ? { ( exists $ENV{MOD_PERL_API_VERSION} and            
>> $ENV{MOD_PERL_API_VERSION} >= 2 ) ? 2 : 1 }
>>      : 0;
>>
>> It sets the constant |MP_GEN| to 0 if mod_perl is not available, to 1 
>> if running under mod_perl 1.0 and 2 for mod_perl 2.0.
>
> This doesn't tell you whether libapreq is available or not, though.
>
>
That's true - if that's questionable, he'd still need to eval it, as you 
rightly pointed out.

  Issac

Mime
View raw message